Subject: Re: [PATCH net-next] net: usb: switch to two-argument strscpy

From: Andy Shevchenko <[email-masked]>
Date: Tue, 27 Jan 2026 09:27:29 +0200

On Mon, Jan 26, 2026 at 12:07:57PM +0200, Andy Shevchenko wrote:
> On Sun, Jan 25, 2026 at 07:50:15PM -0800, Ethan Nelson-Moore wrote:
> > All instances of strscpy in the USB network drivers use the size of the
> > destination. If given only two arguments, strscpy will automatically
> > use the size of the destination. Make the code more concise by
> > switching to the two-argument form of strscpy.
> > 
> > Also add a blank line after a variable declaration in catc.c to adhere
> > to kernel code style, since the surrounding code is being touched.
> 
> It should go after your patch that drops some of the strscpy():s.
> Hence make a v3 as a series of two patches.

FWIW, your v3 missed this patch... What's your plan with it?

-- 
With Best Regards,
Andy Shevchenko